# الگوریتم بانکدار | Banker algorithm
### نام متغغیرها و وظایف آن‌ها | Name of the variables and their duty

| Variable | Description |
| :---: | :---: |
| `P` | Number of Processes |
| `R` | Number of Resources |
| `MaxResources ` | Maximum Resources |
| `CurrentAllocated` | Current Allocated |
| `MaxNeed` | Maximum need |
| `Allo` | Allocated resources | 
| `Ava` | Available resources |
| `Running` | State of process |
| `Count` | which process running at that time | 
| `safe` | final state, the **True** means everything works fine and there is no deadlock, the **False** means there is a deadlock | 
| `exe` | State of executing process, the **False** runs nothing and the **True** will execute a if statement  |

برای اجرا دستور `python Banker.py` را در کنسول اجرا کنید. | To execute program
just run the `python banker.py` command.
